;Prgramers Name's: Owen Attlesey & Mason Nichols
;School: Santa Fe High
;Sponsoring Teacher: Brian Smith

extensions[ bitmap ]
breed[ cars car]
breed[Pwrplants Pwrplant]
breed[Factories Factory]
breed[CO2s CO2]
breed[plants plant]
breed[trees tree]
breed[eCars eCar]
breed[WindFarms WindFarm]
breed[RenFactories RenFactory]
turtles-own[PollutionOutput]
plants-own [plifetime absorbCO2]
trees-own[tlifetime]
globals[totalpollution total AmountCarProduces AmountFactoryProduces AmountPwrPlantProduces CarGraph FactoryGraph
 PwrPlantGraph totalRnd temperature PPM AirQuality years days ppmchange ppmholder]


;----------------------------------------------------------------------------------------- Setup
to setup
  clear-all
  reset-ticks
  ask patches
  [
  set pcolor white
  ]
  bitmap:copy-to-pcolors bitmap:import "USimage.png" true
  makeCars
  makePowerPlant
  makeFactories
  makePlants
  makeTrees
  ask turtles
  [
    while[pcolor = white]
    [
    if pcolor = white[
      setxy random-xcor random-ycor
    ]
    ]
    set PollutionOutput 0
  ]
  set totalpollution 0

  ask patches
 [
    if (pcolor = 83.5)
    [
    set pcolor black
  ]
  ]
  set temperature 11.5
  set PPM 411
  set days 0
  set ppmchange true
  set ppmholder 0
end


;----------------------------------------------------------------------------------------- Make Cars
to makeCars
  create-cars NumberOfCars
  [
    set size 4
     setxy random-xcor random-ycor
    set shape "car"
    set color red
  ]
end


;----------------------------------------------------------------------------------------- Make PwrPlants
to makePowerPlant
  create-Pwrplants NumberOfPowerPlants
  [
    set size 8
    setxy random-xcor random-ycor
    set shape "circle"
    set color 52
  ]
end

;----------------------------------------------------------------------------------------- Make Factories
to makeFactories
  create-Factories NumberOfFactories
  [
    set size 7
    setxy random-xcor random-ycor
    set shape "square"
    set color 34
  ]
end


;----------------------------------------------------------------------------------------- Make Plants and Trees
to makePlants
  create-plants StartingPlants
  [
    set size 1
    set color green
    setxy random-xcor random-ycor
    set shape "flower"
    set plifetime 0
  ]
end

to makeTrees
  create-trees StartingTrees
  [
    set size 2
    set color green
    setxy random-xcor random-ycor
    set shape "tree"
    set tlifetime 0
  ]
end


;----------------------------------------------------------------------------------------- Move Cars & E-Cars
to moveCars
  ask cars
 [
    right random 50
    left random 50
    forward 1
    if pcolor = white
    [
      right 180
      forward 1
    ]
  ]
end

to moveECars
  ask eCars
 [
    right random 50
    left random 50
    forward 1
    if pcolor = white
    [
      right 180
      forward 1
    ]
  ]
end

;------------------------------------------------------------------------------------------ Set Demands
to demand
  ask factories
  [
  if (DemandForFactoryGoods = "Very Low")
  [
      set PollutionOutput PollutionOutput + 50000
      set AmountFactoryProduces 50000
    ]
    if (DemandForFactoryGoods = "Low")
  [
      set PollutionOutput PollutionOutput + 75000
      set AmountFactoryProduces 7500
    ]
    if (DemandForFactoryGoods = "Medium")
  [
      set PollutionOutput PollutionOutput + 100000
      set AmountFactoryProduces 100000
    ]
    if (DemandForFactoryGoods = "High")
  [
      set PollutionOutput PollutionOutput + 125000
      set AmountFactoryProduces 12500
    ]
    if (DemandForFactoryGoods = "Very High")
  [
      set PollutionOutput PollutionOutput + 15000
      set AmountFactoryProduces 150000
    ]
  ]

  ask cars
  [
  if (DemandForCars = "Very Low")
  [
      set PollutionOutput PollutionOutput + 10
      set AmountCarProduces 10
    ]
    if (DemandForCars = "Low")
  [
      set PollutionOutput PollutionOutput + 20
      set AmountCarProduces 20
    ]
    if (DemandForCars = "Medium")
  [
      set PollutionOutput PollutionOutput + 30
      set AmountCarProduces 30
    ]
    if (DemandForCars = "High")
  [
      set PollutionOutput PollutionOutput + 40
      set AmountCarProduces 40
    ]
    if (DemandForCars = "Very High")
  [
      set PollutionOutput PollutionOutput + 50
      set AmountCarProduces 50
    ]
  ]

ask Pwrplants
  [
  if (DemandForResidentialPower = "Very Low")
  [
      set PollutionOutput PollutionOutput + 800000
      set AmountPwrPlantProduces 800000
    ]
    if (DemandForResidentialPower = "Low")
  [
      set PollutionOutput PollutionOutput + 1000000
      set AmountPwrPlantProduces 1000000
    ]
    if (DemandForResidentialPower = "Medium")
  [
      set PollutionOutput PollutionOutput + 1100000
      set AmountPwrPlantProduces 1100000
    ]
    if (DemandForResidentialPower = "High")
  [
      set PollutionOutput PollutionOutput + 1200000
      set AmountPwrPlantProduces 1200000
    ]
    if (DemandForResidentialPower = "Very High")
  [
      set PollutionOutput PollutionOutput + 1400000
      set AmountPwrPlantProduces 1400000
    ]
  ]

end


;----------------------------------------------------------------------------------------- Pollute With Turtles (Make CO2's)
to polluteTurtles
  let CarPollutants  0
  let FactoryPollutants  0
  let PwrPlantPollutants  0
  set totalRnd 0
  let numCars count cars
  let numFactories count factories
  let numPPlants count pwrPlants

  set CarPollutants (numCars * AmountCarProduces) * 100000
  set CarGraph CarGraph + CarPollutants

  set FactoryPollutants (NumFactories * AmountFactoryProduces) * 100
  set FactoryGraph FactoryGraph + FactoryPollutants

  set PwrPlantPollutants (NumPPlants * AmountPwrPlantProduces) * 100
  set PwrPlantGraph PwrPlantGraph + PwrPlantPollutants

  set total total + CarPollutants + FactoryPollutants + PwrPlantPollutants
  set totalrnd (CarPollutants + FactoryPollutants + PwrPlantPollutants) / 1000000000

  makePolluteTurtles totalrnd
end

to makePolluteTurtles [totalRound]
  create-CO2s totalRound
  [
    set color grey
    set shape "cloud"
    set size 1
    setxy random-xcor random-ycor
    while[pcolor = white]
    [
    if pcolor = white[
      setxy random-xcor random-ycor
    ]
    ]
  ]
end


;----------------------------------------------------------------------------------------- Move CO2 clouds
to moveCO2
  ask CO2s[
    forward 1
    right random 90
    left random 90
    if any? other turtles-here with [color = green]
    [
      set ppm ppm - .0000001
      die
    ]
  ]
end


;----------------------------------------------------------------------------------------- Kill plants and trees
to killplants
  ask plants
  [
    if(random 40000 / 10 <= .1)
    [
      die
    ]
    ]
end

to killtrees
  ask trees
  [
    if(random 400000 / 100 <= .051)
    [
      die
    ]
  ]
end


;----------------------------------------------------------------------------------------- grow new plants and trees
to growNewPlants
  ask plants
  [
 if(random 40000 / 10 <= .1)
[
  hatch 1
  [
    set size 1
    set color green
    setxy random-xcor random-ycor
    set shape "flower"
    set plifetime 0
        while[pcolor = white]
    [
    if pcolor = white[
      setxy random-xcor random-ycor
    ]
      ]
  ]
  ]]

ask trees
  [
if(random 400000 / 100 <= .05)
  [
    hatch 1
  [
    set size 2
    set color green
    setxy random-xcor random-ycor
    set shape "tree"
    set tlifetime 0
          while[pcolor = white]
    [
    if pcolor = white[
      setxy random-xcor random-ycor
    ]
      ]
  ]]]
end


;----------------------------------------------------------------------------------------- Make-E-Cars
to make-E-cars
  let deadCars 0
  let chance 0
  let carsRenewable 0

  if(%CarsElectric = "Low")
  [
    set carsRenewable 1
  ]
if(%CarsElectric = "Medium")
    [
      set carsRenewable 5
    ]
if(%CarsElectric = "High")
    [
      set carsRenewable 10
    ]

  ask cars
  [
    set chance random 20000
    if chance < carsRenewable
    [
      set deadCars deadCars + 1
    die
  ]
  ]
    create-eCars deadCars
  [
      set size 4
      set color 85
      set shape "car"
       setxy random-xcor random-ycor
    while[pcolor = white]
    [
    if pcolor = white[
      setxy random-xcor random-ycor
    ]
    ]
  ]
end


;----------------------------------------------------------------------------------------- Make Wind Farms/Solar Panels
to makeWindFarms
  let deadpPlants 0
  let chance 0
  let pplantRenewable 0

if(%PowerPlantsRenewable = "Low")
  [
    set pplantRenewable 5
  ]
if(%PowerPlantsRenewable = "Medium")
    [
      set pplantRenewable 15
    ]
if(%PowerPlantsRenewable = "High")
    [
      set pplantRenewable 25
    ]

  ask PwrPlants
  [
    set chance random 100000
    if chance < pplantRenewable
    [
      set deadpPlants deadpPlants + 1
    die
  ]
  ]
    create-WindFarms deadpPlants
  [
      set size 8
      set color 65
      set shape "circle"
       setxy random-xcor random-ycor
    while[pcolor = white]
    [
    if pcolor = white[
      setxy random-xcor random-ycor
    ]
    ]
  ]
end


;----------------------------------------------------------------------------------------- Make Renewable Factories
to makeRenFactories
  let deadFactories 0
  let chance 0
  let factoryRenewable 0

  if(%fctryOnRenewableSrc = "Low")
  [
    set factoryRenewable 5
  ]
if(%fctryOnRenewableSrc = "Medium")
    [
      set factoryRenewable 12
    ]
if(%fctryOnRenewableSrc = "High")
    [
      set factoryRenewable 20
    ]

  ask Factories
  [
    set chance random 100000
    if chance < factoryRenewable
    [
      set deadFactories deadFactories + 1
    die
  ]
  ]
    create-RenFactories deadFactories
  [
      set size 7
      set color 45
      set shape "square"
       setxy random-xcor random-ycor
    while[pcolor = white]
    [
    if pcolor = white[
      setxy random-xcor random-ycor
    ]
    ]
  ]
end


;----------------------------------------------------------------------------------------- set all renewable
to ChangeAll
  let deadCars count cars
  let deadFactories count factories
  let deadPPlants count pwrPlants
  if(SetAllRenewable = true)
    [
  ask cars
  [
      die
  ]
  create-eCars deadCars
  [
        set size 3
      set color 85
      set shape "car"
       setxy random-xcor random-ycor
    while[pcolor = white]
    [
    if pcolor = white[
      setxy random-xcor random-ycor
      ]]]
  ask Factories
    [
        die
      ]
       create-RenFactories deadFactories
  [
      set size 7
      set color 45
      set shape "square"
       setxy random-xcor random-ycor
    while[pcolor = white]
    [
    if pcolor = white[
      setxy random-xcor random-ycor
    ]
      ]]
  ask pwrPlants
      [
          die
      ]
      create-WindFarms deadpPlants
  [
      set size 8
      set color 65
      set shape "circle"
       setxy random-xcor random-ycor
    while[pcolor = white]
    [
    if pcolor = white[
      setxy random-xcor random-ycor
    ]
    ]
  ]
  ]
end


;----------------------------------------------------------------------------------------- Far CO2 die
to removeFarCO2
       ask CO2s
  [
    if(ycor <= -270)
    [
      set ppm ppm - .000001
      die]
    if(ycor >= 295)
    [
      set ppm ppm - .000001
      die]
  ]
end


;----------------------------------------------------------------------------------------- Fluctuate Cars
to FluctuateCars
  ask cars
  [
    if(random 100000 / 100 <= 2)
  [
      die
    ]
    if(random 100000 / 100 <= 2.01)
    [
      hatch 1
    ]
  ]
  ask ecars
  [
    if(random 100000 / 100 <= 2)
  [
      die
    ]
    if(random 100000 / 100 <= 2.01)
    [
      hatch 1
    ]
  ]
end


;----------------------------------------------------------------------------------------- Set PPM
to setPPM
  let ppmlevel (count CO2s) / 450000
  set PPM PPM + ppmlevel

end


;----------------------------------------------------------------------------------------- Set AirQuality
to setAirQuality
  if(ppm < 450)
  [
    set AirQuality "Excellent"
  ]
  if(ppm > 450 and ppm < 600)
  [
    set AirQuality "Good"
  ]
  if(ppm > 600 and ppm < 1000 )
  [
    set AirQuality "Fair"
  ]
  if(ppm > 1000 and ppm < 1500)
  [
    set AirQuality "Poor"
  ]
  if(ppm > 15000 and ppm < 2000)
  [
    set AirQuality "Bad"
  ]
  if(ppm > 2000)
  [
    set AirQuality "Dangerous"
  ]
end


;----------------------------------------------------------------------------------------- set temperature
to setTemperature
 if(ppmchange = true)
  [
    set ppmholder ppm
    set ppmchange false
  ]
if (ppm >= ppmholder + 10)
 [
   set temperature temperature + .1
    set ppmchange true
    set ppmholder 0
  ]
end


;----------------------------------------------------------------------------------------- set years
to setyears
  set days days + 1
  if(days = 356)
  [
    set years years + 1
    set days 0
  ]
end


;----------------------------------------------------------------------------------------- Go
to go
  moveCars
  moveECars
  demand
  polluteTurtles
  moveCO2
  killplants
  killtrees
  growNewPlants
  make-E-cars
  makeWindFarms
  makeRenFactories
  ChangeAll
  removeFarCO2
  FluctuateCars
  setPPM
  setyears
  setAirQuality
  setTemperature
  if(years = 100)
  [
    stop
  ]
  tick
end
@#$#@#$#@
GRAPHICS-WINDOW
210
10
1057
858
-1
-1
1.047441
1
10
1
1
1
0
1
0
1
-400
400
-400
400
1
1
1
ticks
30.0

BUTTON
6
10
72
43
NIL
setup
NIL
1
T
OBSERVER
NIL
NIL
NIL
NIL
1

SLIDER
6
46
163
79
NumberOfPowerPlants
NumberOfPowerPlants
0
100
86.0
1
1
NIL
HORIZONTAL

SLIDER
5
82
135
115
NumberOfCars
NumberOfCars
0
5000
2761.0
1
1
NIL
HORIZONTAL

SLIDER
5
118
154
151
NumberOfFactories
NumberOfFactories
0
1000
600.0
1
1
NIL
HORIZONTAL

BUTTON
77
10
140
43
NIL
go
T
1
T
OBSERVER
NIL
NIL
NIL
NIL
1

PLOT
387
10
738
173
Pollution Levels
Time (Ticks)
Pollution (lb's of CO2)
0.0
10.0
0.0
10.0
true
true
"" ""
PENS
"Factories" 1.0 0 -8431303 true "" "plot FactoryGraph"
"Power Plants" 1.0 0 -13791810 true "" "Plot PwrPlantGraph"
"Cars" 1.0 0 -2674135 true "" "plot CarGraph"
"Total" 1.0 0 -7500403 true "" "plot total"

CHOOSER
4
316
105
361
DemandForCars
DemandForCars
"Very Low" "Low" "Medium" "High" "Very High"
4

CHOOSER
3
365
155
410
DemandForFactoryGoods
DemandForFactoryGoods
"Very Low" "Low" "Medium" "High" "Very High"
4

CHOOSER
3
413
164
458
DemandForResidentialPower
DemandForResidentialPower
"Very Low" "Low" "Medium" "High" "Very High"
4

TEXTBOX
2
293
140
321
Demand Per Day
17
0.0
1

MONITOR
659
596
847
641
Pounds of CO2 released
total
17
1
11

TEXTBOX
140
84
214
112
1 = 100,000                    2,761
11
0.0
1

TEXTBOX
158
122
199
150
1=100       600
11
0.0
1

TEXTBOX
166
47
210
65
1=100
11
0.0
1

MONITOR
755
644
846
689
NIL
count CO2s
17
1
11

TEXTBOX
850
653
951
680
1 CO2 turtle = 1 billion lb's of CO2
11
0.0
1

SLIDER
4
482
128
515
StartingPlants
StartingPlants
300
1000
525.0
1
1
NIL
HORIZONTAL

TEXTBOX
1
460
197
478
Plants (eliminate CO2)
17
0.0
1

TEXTBOX
137
299
208
317
(1 tick = 1 day)
9
0.0
1

SLIDER
4
519
128
552
StartingTrees
StartingTrees
0
1000
229.0
1
1
NIL
HORIZONTAL

MONITOR
659
645
751
690
NIL
Count Plants
17
1
11

MONITOR
660
693
752
738
NIL
Count Trees
17
1
11

SWITCH
222
18
378
51
SetAllRenewable
SetAllRenewable
1
1
-1000

MONITOR
788
741
878
786
NIL
Count eCars
17
1
11

MONITOR
756
693
835
738
NIL
count cars
17
1
11

MONITOR
660
741
783
786
NIL
Count WindFarms
17
1
11

MONITOR
839
693
943
738
NIL
Count PwrPlants
17
1
11

MONITOR
881
741
1019
786
Renewable Factories
Count RenFactories
17
1
11

MONITOR
946
693
1048
738
NIL
count Factories
17
1
11

TEXTBOX
133
529
208
557
1 = 10 billion
11
0.0
1

TEXTBOX
133
492
209
520
1 = 100 billion
11
0.0
1

PLOT
427
681
653
817
Plants and Trees
Time
Total
0.0
10.0
0.0
10.0
true
true
"" ""
PENS
"trees" 1.0 0 -14333415 true "" "plot count trees"
"plants" 1.0 0 -13840069 true "" "plot count plants"

PLOT
4
559
204
709
PPM of CO2
PPM
days
0.0
10.0
0.0
10.0
true
true
"" ""
PENS
"PPM" 1.0 0 -7500403 true "" "plot PPM"

TEXTBOX
175
62
192
80
86
11
0.0
1

MONITOR
222
53
378
98
Air Quality
AirQuality
17
1
11

MONITOR
949
11
1049
56
Temperature (C)
Temperature
17
1
11

PLOT
741
12
947
173
Temperature (C)
Time
Temperature
0.0
10.0
0.0
10.0
true
false
"" ""
PENS
"Temp" 1.0 0 -16777216 true "" "plot Temperature"

MONITOR
221
101
378
146
NIL
PPM
17
1
11

MONITOR
950
59
1007
104
NIL
years
17
1
11

MONITOR
952
107
1038
152
NIL
ppmchange
17
1
11

CHOOSER
5
153
169
198
%fctryOnRenewableSrc
%fctryOnRenewableSrc
"Low" "Medium" "High"
2

CHOOSER
5
200
143
245
%CarsElectric
%CarsElectric
"Low" "Medium" "High"
2

CHOOSER
5
248
176
293
%PowerPlantsRenewable
%PowerPlantsRenewable
"Low" "Medium" "High"
2

@#$#@#$#@
## WHAT IS IT?

(a general understanding of what the model is trying to show or explain)

## HOW IT WORKS

(what rules the agents use to create the overall behavior of the model)

## INTERFACE


## HOW TO USE IT

(how to use the model, including a description of each of the items in the Interface tab)

## THINGS TO NOTICE

(suggested things for the user to notice while running the model)

## THINGS TO TRY

(suggested things for the user to try to do (move sliders, switches, etc.) with the model)

## EXTENDING THE MODEL

(suggested things to add or change in the Code tab to make the model more complicated, detailed, accurate, etc.)

## NETLOGO FEATURES

(interesting or unusual features of NetLogo that the model uses, particularly in the Code tab; or where workarounds were needed for missing features)

## RELATED MODELS

(models in the NetLogo Models Library and elsewhere which are of related interest)

## CREDITS AND REFERENCES

https://www.cartalk.com/content/global-warming-and-your-car-0
https://www.epa.gov/ghgemissions/sources-greenhouse-gas-emissions
https://www.c2es.org/content/u-s-emissions/
https://scijinks.gov/air-quality/
http://www.zyaura.com/products/ZGw063.asp
https://www.climatecentral.org/news/co2-400-ppm-scientists-meaning-19713
https://nca2009.globalchange.gov/800000-year-record-co2-concentration/index.html
http://www.ventilationcontrolproducts.net/co2-detector-rc24
https://www.kane.co.uk/knowledge-centre/what-are-safe-levels-of-co-and-co2-in-rooms
https://e360.yale.edu/features/how-the-world-passed-a-carbon-threshold-400ppm-and-why-it-matters
https://www.carbonbrief.org/rising-co2-levels-could-push-hundreds-of-millions-into-malnutrition-by-2050
https://climate.nasa.gov/vital-signs/carbon-dioxide/
@#$#@#$#@
default
true
0
Polygon -7500403 true true 150 5 40 250 150 205 260 250

airplane
true
0
Polygon -7500403 true true 150 0 135 15 120 60 120 105 15 165 15 195 120 180 135 240 105 270 120 285 150 270 180 285 210 270 165 240 180 180 285 195 285 165 180 105 180 60 165 15

arrow
true
0
Polygon -7500403 true true 150 0 0 150 105 150 105 293 195 293 195 150 300 150

box
false
0
Polygon -7500403 true true 150 285 285 225 285 75 150 135
Polygon -7500403 true true 150 135 15 75 150 15 285 75
Polygon -7500403 true true 15 75 15 225 150 285 150 135
Line -16777216 false 150 285 150 135
Line -16777216 false 150 135 15 75
Line -16777216 false 150 135 285 75

bug
true
0
Circle -7500403 true true 96 182 108
Circle -7500403 true true 110 127 80
Circle -7500403 true true 110 75 80
Line -7500403 true 150 100 80 30
Line -7500403 true 150 100 220 30

butterfly
true
0
Polygon -7500403 true true 150 165 209 199 225 225 225 255 195 270 165 255 150 240
Polygon -7500403 true true 150 165 89 198 75 225 75 255 105 270 135 255 150 240
Polygon -7500403 true true 139 148 100 105 55 90 25 90 10 105 10 135 25 180 40 195 85 194 139 163
Polygon -7500403 true true 162 150 200 105 245 90 275 90 290 105 290 135 275 180 260 195 215 195 162 165
Polygon -16777216 true false 150 255 135 225 120 150 135 120 150 105 165 120 180 150 165 225
Circle -16777216 true false 135 90 30
Line -16777216 false 150 105 195 60
Line -16777216 false 150 105 105 60

car
false
0
Polygon -7500403 true true 300 180 279 164 261 144 240 135 226 132 213 106 203 84 185 63 159 50 135 50 75 60 0 150 0 165 0 225 300 225 300 180
Circle -16777216 true false 180 180 90
Circle -16777216 true false 30 180 90
Polygon -16777216 true false 162 80 132 78 134 135 209 135 194 105 189 96 180 89
Circle -7500403 true true 47 195 58
Circle -7500403 true true 195 195 58

chess rook
false
0
Rectangle -7500403 true true 90 255 210 300
Line -16777216 false 75 255 225 255
Rectangle -16777216 false false 90 255 210 300
Polygon -7500403 true true 90 255 105 105 195 105 210 255
Polygon -16777216 false false 90 255 105 105 195 105 210 255
Rectangle -7500403 true true 75 90 120 60
Rectangle -7500403 true true 75 84 225 105
Rectangle -7500403 true true 135 90 165 60
Rectangle -7500403 true true 180 90 225 60
Polygon -16777216 false false 90 105 75 105 75 60 120 60 120 84 135 84 135 60 165 60 165 84 179 84 180 60 225 60 225 105

circle
false
0
Circle -7500403 true true 0 0 300

circle 2
false
0
Circle -7500403 true true 0 0 300
Circle -16777216 true false 30 30 240

cloud
false
0
Circle -7500403 true true 13 118 94
Circle -7500403 true true 86 101 127
Circle -7500403 true true 51 51 108
Circle -7500403 true true 118 43 95
Circle -7500403 true true 158 68 134

cow
false
0
Polygon -7500403 true true 200 193 197 249 179 249 177 196 166 187 140 189 93 191 78 179 72 211 49 209 48 181 37 149 25 120 25 89 45 72 103 84 179 75 198 76 252 64 272 81 293 103 285 121 255 121 242 118 224 167
Polygon -7500403 true true 73 210 86 251 62 249 48 208
Polygon -7500403 true true 25 114 16 195 9 204 23 213 25 200 39 123

cylinder
false
0
Circle -7500403 true true 0 0 300

dot
false
0
Circle -7500403 true true 90 90 120

face happy
false
0
Circle -7500403 true true 8 8 285
Circle -16777216 true false 60 75 60
Circle -16777216 true false 180 75 60
Polygon -16777216 true false 150 255 90 239 62 213 47 191 67 179 90 203 109 218 150 225 192 218 210 203 227 181 251 194 236 217 212 240

face neutral
false
0
Circle -7500403 true true 8 7 285
Circle -16777216 true false 60 75 60
Circle -16777216 true false 180 75 60
Rectangle -16777216 true false 60 195 240 225

face sad
false
0
Circle -7500403 true true 8 8 285
Circle -16777216 true false 60 75 60
Circle -16777216 true false 180 75 60
Polygon -16777216 true false 150 168 90 184 62 210 47 232 67 244 90 220 109 205 150 198 192 205 210 220 227 242 251 229 236 206 212 183

factory
true
0
Rectangle -6459832 true false 90 105 225 225
Rectangle -6459832 true false 45 165 105 225
Rectangle -6459832 true false 195 30 210 105
Rectangle -6459832 true false 105 30 120 105
Rectangle -6459832 true false 150 30 165 105
Rectangle -16777216 false false 105 30 120 105
Rectangle -16777216 false false 150 30 165 105
Rectangle -16777216 false false 210 30 210 105
Rectangle -16777216 false false 195 30 210 105
Rectangle -16777216 false false 45 165 90 225
Line -16777216 false 90 165 90 165
Rectangle -16777216 false false 120 195 135 225
Rectangle -16777216 false false 150 135 195 180

fish
false
0
Polygon -1 true false 44 131 21 87 15 86 0 120 15 150 0 180 13 214 20 212 45 166
Polygon -1 true false 135 195 119 235 95 218 76 210 46 204 60 165
Polygon -1 true false 75 45 83 77 71 103 86 114 166 78 135 60
Polygon -7500403 true true 30 136 151 77 226 81 280 119 292 146 292 160 287 170 270 195 195 210 151 212 30 166
Circle -16777216 true false 215 106 30

flag
false
0
Rectangle -7500403 true true 60 15 75 300
Polygon -7500403 true true 90 150 270 90 90 30
Line -7500403 true 75 135 90 135
Line -7500403 true 75 45 90 45

flower
false
0
Polygon -10899396 true false 135 120 165 165 180 210 180 240 150 300 165 300 195 240 195 195 165 135
Circle -7500403 true true 85 132 38
Circle -7500403 true true 130 147 38
Circle -7500403 true true 192 85 38
Circle -7500403 true true 85 40 38
Circle -7500403 true true 177 40 38
Circle -7500403 true true 177 132 38
Circle -7500403 true true 70 85 38
Circle -7500403 true true 130 25 38
Circle -7500403 true true 96 51 108
Circle -16777216 true false 113 68 74
Polygon -10899396 true false 189 233 219 188 249 173 279 188 234 218
Polygon -10899396 true false 180 255 150 210 105 210 75 240 135 240

house
false
0
Rectangle -7500403 true true 45 120 255 285
Rectangle -16777216 true false 120 210 180 285
Polygon -7500403 true true 15 120 150 15 285 120
Line -16777216 false 30 120 270 120

leaf
false
0
Polygon -7500403 true true 150 210 135 195 120 210 60 210 30 195 60 180 60 165 15 135 30 120 15 105 40 104 45 90 60 90 90 105 105 120 120 120 105 60 120 60 135 30 150 15 165 30 180 60 195 60 180 120 195 120 210 105 240 90 255 90 263 104 285 105 270 120 285 135 240 165 240 180 270 195 240 210 180 210 165 195
Polygon -7500403 true true 135 195 135 240 120 255 105 255 105 285 135 285 165 240 165 195

line
true
0
Line -7500403 true 150 0 150 300

line half
true
0
Line -7500403 true 150 0 150 150

pentagon
false
0
Polygon -7500403 true true 150 15 15 120 60 285 240 285 285 120

person
false
0
Circle -7500403 true true 110 5 80
Polygon -7500403 true true 105 90 120 195 90 285 105 300 135 300 150 225 165 300 195 300 210 285 180 195 195 90
Rectangle -7500403 true true 127 79 172 94
Polygon -7500403 true true 195 90 240 150 225 180 165 105
Polygon -7500403 true true 105 90 60 150 75 180 135 105

plant
false
0
Rectangle -7500403 true true 135 90 165 300
Polygon -7500403 true true 135 255 90 210 45 195 75 255 135 285
Polygon -7500403 true true 165 255 210 210 255 195 225 255 165 285
Polygon -7500403 true true 135 180 90 135 45 120 75 180 135 210
Polygon -7500403 true true 165 180 165 210 225 180 255 120 210 135
Polygon -7500403 true true 135 105 90 60 45 45 75 105 135 135
Polygon -7500403 true true 165 105 165 135 225 105 255 45 210 60
Polygon -7500403 true true 135 90 120 45 150 15 180 45 165 90

powerplant
false
0
Circle -1 true false 15 15 270
Circle -16777216 false false 15 15 270
Circle -7500403 true true 75 75 150
Circle -16777216 false false 75 75 150
Circle -7500403 true true 60 60 30
Circle -7500403 true true 135 30 30
Circle -7500403 true true 210 60 30
Circle -7500403 true true 240 135 30
Circle -7500403 true true 210 210 30
Circle -7500403 true true 135 240 30
Circle -7500403 true true 60 210 30
Circle -7500403 true true 30 135 30
Circle -16777216 false false 30 135 30
Circle -16777216 false false 60 210 30
Circle -16777216 false false 135 240 30
Circle -16777216 false false 210 210 30
Circle -16777216 false false 240 135 30
Circle -16777216 false false 210 60 30
Circle -16777216 false false 135 30 30
Circle -16777216 false false 60 60 30

sheep
false
15
Circle -1 true true 203 65 88
Circle -1 true true 70 65 162
Circle -1 true true 150 105 120
Polygon -7500403 true false 218 120 240 165 255 165 278 120
Circle -7500403 true false 214 72 67
Rectangle -1 true true 164 223 179 298
Polygon -1 true true 45 285 30 285 30 240 15 195 45 210
Circle -1 true true 3 83 150
Rectangle -1 true true 65 221 80 296
Polygon -1 true true 195 285 210 285 210 240 240 210 195 210
Polygon -7500403 true false 276 85 285 105 302 99 294 83
Polygon -7500403 true false 219 85 210 105 193 99 201 83

square
false
0
Rectangle -7500403 true true 30 30 270 270

square 2
false
0
Rectangle -7500403 true true 30 30 270 270
Rectangle -16777216 true false 60 60 240 240

star
false
0
Polygon -7500403 true true 151 1 185 108 298 108 207 175 242 282 151 216 59 282 94 175 3 108 116 108

target
false
0
Circle -7500403 true true 0 0 300
Circle -16777216 true false 30 30 240
Circle -7500403 true true 60 60 180
Circle -16777216 true false 90 90 120
Circle -7500403 true true 120 120 60

tree
false
0
Circle -7500403 true true 118 3 94
Rectangle -6459832 true false 120 195 180 300
Circle -7500403 true true 65 21 108
Circle -7500403 true true 116 41 127
Circle -7500403 true true 45 90 120
Circle -7500403 true true 104 74 152

triangle
false
0
Polygon -7500403 true true 150 30 15 255 285 255

triangle 2
false
0
Polygon -7500403 true true 150 30 15 255 285 255
Polygon -16777216 true false 151 99 225 223 75 224

truck
false
0
Rectangle -7500403 true true 4 45 195 187
Polygon -7500403 true true 296 193 296 150 259 134 244 104 208 104 207 194
Rectangle -1 true false 195 60 195 105
Polygon -16777216 true false 238 112 252 141 219 141 218 112
Circle -16777216 true false 234 174 42
Rectangle -7500403 true true 181 185 214 194
Circle -16777216 true false 144 174 42
Circle -16777216 true false 24 174 42
Circle -7500403 false true 24 174 42
Circle -7500403 false true 144 174 42
Circle -7500403 false true 234 174 42

turtle
true
0
Polygon -10899396 true false 215 204 240 233 246 254 228 266 215 252 193 210
Polygon -10899396 true false 195 90 225 75 245 75 260 89 269 108 261 124 240 105 225 105 210 105
Polygon -10899396 true false 105 90 75 75 55 75 40 89 31 108 39 124 60 105 75 105 90 105
Polygon -10899396 true false 132 85 134 64 107 51 108 17 150 2 192 18 192 52 169 65 172 87
Polygon -10899396 true false 85 204 60 233 54 254 72 266 85 252 107 210
Polygon -7500403 true true 119 75 179 75 209 101 224 135 220 225 175 261 128 261 81 224 74 135 88 99

wheel
false
0
Circle -7500403 true true 3 3 294
Circle -16777216 true false 30 30 240
Line -7500403 true 150 285 150 15
Line -7500403 true 15 150 285 150
Circle -7500403 true true 120 120 60
Line -7500403 true 216 40 79 269
Line -7500403 true 40 84 269 221
Line -7500403 true 40 216 269 79
Line -7500403 true 84 40 221 269

wolf
false
0
Polygon -16777216 true false 253 133 245 131 245 133
Polygon -7500403 true true 2 194 13 197 30 191 38 193 38 205 20 226 20 257 27 265 38 266 40 260 31 253 31 230 60 206 68 198 75 209 66 228 65 243 82 261 84 268 100 267 103 261 77 239 79 231 100 207 98 196 119 201 143 202 160 195 166 210 172 213 173 238 167 251 160 248 154 265 169 264 178 247 186 240 198 260 200 271 217 271 219 262 207 258 195 230 192 198 210 184 227 164 242 144 259 145 284 151 277 141 293 140 299 134 297 127 273 119 270 105
Polygon -7500403 true true -1 195 14 180 36 166 40 153 53 140 82 131 134 133 159 126 188 115 227 108 236 102 238 98 268 86 269 92 281 87 269 103 269 113

x
false
0
Polygon -7500403 true true 270 75 225 30 30 225 75 270
Polygon -7500403 true true 30 75 75 30 270 225 225 270
@#$#@#$#@
NetLogo 6.0.4
@#$#@#$#@
@#$#@#$#@
@#$#@#$#@
@#$#@#$#@
@#$#@#$#@
default
0.0
-0.2 0 0.0 1.0
0.0 1 1.0 0.0
0.2 0 0.0 1.0
link direction
true
0
Line -7500403 true 150 150 90 180
Line -7500403 true 150 150 210 180
@#$#@#$#@
0
@#$#@#$#@
